Page MenuHomePhabricator

Provide an opt-in ability to register the user's MediaWiki installation
Closed, ResolvedPublic

Description

We'd like to have a way to keep better track of new MediaWiki installations. To do this, I've talked to a couple of other people interested in this (e.g. Jamie Thingelstad from WikiApiary) and we've developed an idea for setting up a ping server that would new wikis could ping with their information at installation time.


See also: T91682: Anonymous MW-Vagrant usage statistics

Details

Reference
bz54425

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz54425.
bzimport added a subscriber: Unknown Object (MLST).

See 54426 for the start of the server side of this.

cue privacy advocates in 3..2..1..

(In reply to comment #2)

cue privacy advocates in 3..2..1..

No doubt. Hopefully making this opt-in will make this acceptable.

Mark, instead of creating a lot of bugs about this, would you mind to create first a RFC on mediawiki.org?

It's not clear to me how this would be implemented.

We need to know what happens if the user opts-in on this. A HTTP request is made to a centralized server sending all the info? Or it will send the URL of the wiki and the central server will send back another request (probably delayed so the wiki has been set up completely) to retrieve that info?

Having a lot of disperse bugs without a clear definition/design about how it would be implemented won't help much in developing this.

(In reply to comment #4)

Mark, instead of creating a lot of bugs about this, would you mind to create
first a RFC on mediawiki.org?

Well, the bugs are created now. But I can do an RFC as well. I was planning on starting a discussion about this next week.

Mark, I can help fill in the RFC page time permitting. Share the URL here when you start it.

I'd love this for mw statistics/wikistats, people who opt-in at install time would actively report a new wiki install out there instead of us trying to spider the web to find them and add them to wikistats.wmflabs.org etc.

ori added a comment.Oct 1 2013, 11:59 PM

I can implement the actual logging and aggregation if someone makes the UI for the prompt.

(In reply to comment #8)

I'd love this for mw statistics/wikistats, people who opt-in at install time
would actively report a new wiki install out there instead of us trying to
spider the web to find them and add them to wikistats.wmflabs.org etc.

Yes, that's also needed for wikiteam (which is a heavy user of the current wiki lists): https://code.google.com/p/wikiteam/issues/detail?id=59

However the focus of this proposal seems quite different? See also https://www.mediawiki.org/wiki/Talk:Requests_for_comment/Opt-in_site_registration_during_installation#Data_sent

Palexis set Security to None.

Markus and I will be implementing this for 1.25.

Markus and I will be implementing this for 1.25.

Awesome! Is there a specific detail on what is being implemented in 1.25?

This is where the specification is outlined for community feedback: https://www.mediawiki.org/wiki/Version_check_and_opt-in_site_reporting

Palexis raised the priority of this task from Low to Normal.Jan 5 2015, 12:10 AM

If someone actively works on the remaining three dependency tickets here (which all have "low priority" set, while this master ticket has "normal priority"), please set yourself as assignee on them if this is really a goal to achieve for 1.25.
Thanks!

Markus and I will be implementing this for 1.25.

@MarkAHershberger: Has that happened, as 1.25 is around the corner?
If not, please remove/update the associated release project of this task.

Tgr added a subscriber: Tgr.Aug 30 2015, 1:44 AM

Opt-in would make this mostly useless for statistics (and thus prioritization and other development decisions) as most people do not opt in. I would rather go for opt-out with no identifying information collected.

Tgr added a comment.Aug 30 2015, 1:45 AM

Or maybe three levels (register / anonymous stats / none) with anonymous being the default?

I would rather go for opt-out with no identifying information collected.

+1

Or maybe three levels (register / anonymous stats / none) with anonymous being the default?

Maybe. The main objection was that for private wikis, for instance, the anonymous/public information could be next to zero.

Tgr added a comment.Aug 31 2015, 12:20 AM

Maybe. The main objection was that for private wikis, for instance, the anonymous/public information could be next to zero.

Why so? I would imagine pretty much everything apart from URLs and descriptive things like wiki name or tagline to be anonymous.

Qgil added a comment.Aug 31 2015, 12:14 PM

I haven't done any research, but for what I recall as Debian, Wordpress, and Mozilla user, this type of "call home" features are opt-in.

When you're in the middle of an installation, you are almost done, and you get a dialog asking you nicely to help improve MediaWiki with collection of anonymous stats etc etc, and the default option is OK, next to "No, Thanks", I think most people are happy to click OK.

@Tgr's Register idea is interesting, but what implications should this have?

Tgr added a comment.Aug 31 2015, 4:21 PM

Mozilla has two similar features: Health Report is opt-out, Telemetry is opt-in.

WordPress collects plugin usage statistics, and according to this blog post there isn't even an opt-out. (There is a strong argument for sending, although not necessarily recording, plugin usage data: they use it to warn the administrator when a plugin needs a security update, and when security vulnerabilities go unnoticed, the privacy of the users is threatened in much worse ways. Eventually MediaWiki needs a feature like that too.)

Not sure about Debian but the privacy and security implications are very different for a (server-oriented) OS than for an application.

Tgr writes:

Not sure about Debian but the privacy and security implications are
very different for a (server-oriented) OS than for an application.

Devian's popcon faq can answer a lot of questions there:

http://popcon.debian.org/FAQ

Interesting things to note:

  • It is opt-in, you have to install the popularity-contest package, but that is made easy by a prompt during the installer.
  • Data collected is not anonymous. The popcon server anonymizes anything that is published.
  • Results are sent from the end user's machine via email. They are encrypted with PGP if popcon is so configured.

Even if this is suddenly implemented, it probably won't get backported to 1.26 now.

Thanks for pointing this out. I'm glad this is finally happening. It would be great if we could publish the data somehow.

MarkAHershberger closed this task as Resolved.Mar 8 2018, 2:16 AM
MarkAHershberger claimed this task.

We now have pingback data: https://pingback.wmflabs.org/

Kghbln awarded a token.Mar 8 2018, 7:43 AM